List lists
GET
/workspaces/{workspaceId}/lists
This endpoint will return a list of contact lists from your workspace.
路径参数
workspaceId
string
The unique identifier of the workspace.
响应载荷
results
array of object
显示子属性
results.id
string
必填
The unique identifier for the list.
results.name
string
必填
The name of the list.
results.description
string
必填
The description of the list.
results.createdAt
string
results.updatedAt
string
results.contactCount
integer
The number of contacts in the list.
results.consentType
string
The consent type for the list.
Possible values: single, double
results.tags
array of string
The tags associated with the list.
results.isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
results.counter
object
显示子属性
results.counter.count
integer
必填
results.counter.updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/lists' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Let's establish some of our data that will be used in the following examples:
- Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
- AccessKey: abcd
List your lists
In this example, we are listing lists from a given workspace.
代码示例
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"代码示例
{
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "US Customers",
"description": "US Customers",
"contactCount": 0,
"tags": [
"123e4567-e89b-12d3-a456-426614174000"
],
"isProof": false,
"consentType": "single",
"createdAt": "2024-11-26T15:00:00.000Z",
"updatedAt": "2024-11-26T15:00:00.000Z"
}Ï
]
}